do
	--give it a slash command
	_G["SlashCmdList"]["REALIDTOONS_MAIN"] = function() InterfaceOptionsFrame_OpenToCategory("RealID Toons") end
	_G["SLASH_REALIDTOONS_MAIN1"] = "/ridt"
	
	--localization
	local coloringTitle = "Color by class"
	local coloringDesc = "Colors your RealID friends' character names by class in the alerts"
	local realmTitle = "Add realm names"
	local realmDesc = "Add your RealID friends' realm name to the alerts if they are on a different realm than you"
	local factionTitle = "Add faction information"
	local factionDesc = "Add your RealID friends' faction to the alerts if they are on a different faction than you"
	local L = GetLocale()
	if L == "esES" then
		coloringTitle = "Color por clase"
		coloringDesc = "Añade el color de la clase en los personajes de tus amigos de RealID en las alertas"
		realmTitle = "Añadir nombre de los reinos"
		realmDesc = "Añade el nombre del reino al RealID de tus amigos si están en un reino distinto al tuyo"
		factionTitle = "Añadir información sobre la facción"
		factionDesc = "Añade la facción de tus amigos de RealID a las alertas si están en una facción distinta a la tuya"
	elseif L == "deDE" then
		coloringTitle = "Farbe nach Klasse"
		coloringDesc = "Färbt die Namen deiner RealID-Freunde in den Benachrichtigungen nach deren Klassenfarbe"
		realmTitle = "Realmnamen anzeigen"
		realmDesc = "Fügt den Realmnamen deines RealID-Freundes zur Benachrichtigung hinzu, wenn dieser auf einem anderen Realm spielt, als du selbst"
		factionTitle = "Fraktionsinformation anzeigen"
		factionDesc = "Fügt die Fraktion deines RealID-Freundes zur Benachrichtigung hinzu, wenn dieser eine andere Fraktion spielst, als du selbst"
	elseif L == "ruRU" then
		coloringTitle = "Окраска по классу"
		coloringDesc = "Окрашивать имена персонажей ваших друзей RealID по классу"
		realmTitle = "Добавить название мира"
		realmDesc = "Добавить к оповещениям название игрового мира вашего RealID друга, которые находятся в других мерах"
		factionTitle = "Добавить инфо фракции"
		factionDesc = "Добавить к оповещениям фракцию вашего RealID друга, которая отличается от вашей"
	elseif L == "frFR" then
		coloringTitle = "Couleur de classe"
		coloringDesc = "Colorie, dans les alertes, les noms de personnage de vos amis en nom réel suivant leur classe"
		realmTitle = "Ajouter le nom du royaume"
		realmDesc = "Ajoute, dans les alertes, le nom du royaume de vos amis en nom réel s'ils sont sur un royaume différent"
		factionTitle = "Ajouter la faction"
		factionDesc = "Ajoute, dans les alertes, la faction de vos amis en nom réel s'ils sont de la faction adverse"
	elseif L == "koKR" then
		coloringTitle = "직업별 색상"
		coloringDesc = "현실ID 친구에 직업별 색상으로 알립니다."
		realmTitle = "서버 이름 표시"
		realmDesc = "현실ID 친구중에 다른 서버의 친구가 있다면 서버이름을 부가적으로 표시합니다."
		factionTitle = "연합 정보 표시"
		factionDesc = "현실ID 친구중에 다른 연합의 친구가 있다면 연합 정보를 부가적으로 표시합니다."
	end
	
	--the actual interface
	local options = CreateFrame("FRAME", "RealID_ToonsConfig", InterfaceOptionsFramePanelContainer)
	options:Hide()
	options.name = "RealID Toons"
	InterfaceOptions_AddCategory(options)
	
	local title = options:CreateFontString("RealID_ToonsConfigTitle", "ARTWORK", "GameFontNormalLarge")
	title:SetPoint("TOPLEFT", 16, -16)
	title:SetText("RealID Toons")
	
	local optColoring = CreateFrame("CheckButton", "RealID_ToonsConfigButton1", options)
	optColoring:SetWidth(26)
	optColoring:SetHeight(26)
	optColoring:SetPoint("TOPLEFT", 16, -52)
	optColoring:SetScript("OnShow", function(frame)
		if RID_TOONS_COLOR then
			frame:SetChecked(true)
		else
			frame:SetChecked(false)
		end
	end)
	optColoring:SetScript("OnClick", function(frame)
		local tick = frame:GetChecked()
		if tick then
			PlaySound("igMainMenuOptionCheckBoxOn")
			RID_TOONS_COLOR = true
		else
			PlaySound("igMainMenuOptionCheckBoxOff")
			RID_TOONS_COLOR = nil
		end
	end)

	optColoring:SetHitRectInsets(0, -100, 0, 0)

	optColoring:SetNormalTexture("Interface\\Buttons\\UI-CheckBox-Up")
	optColoring:SetPushedTexture("Interface\\Buttons\\UI-CheckBox-Down")
	optColoring:SetHighlightTexture("Interface\\Buttons\\UI-CheckBox-Highlight")
	optColoring:SetCheckedTexture("Interface\\Buttons\\UI-CheckBox-Check")
	
	local optColoringTitle = optColoring:CreateFontString("RealID_ToonsConfigButton1Title", "ARTWORK", "GameFontHighlight")
	optColoringTitle:SetPoint("LEFT", optColoring, "RIGHT", 0, 1)
	optColoringTitle:SetText(coloringTitle)
	
	local optColoringDesc = optColoring:CreateFontString("RealID_ToonsConfigButton1Desc", "ARTWORK", "GameFontNormal")
	optColoringDesc:SetWidth(350)
	optColoringDesc:SetHeight(30)
	optColoringDesc:SetJustifyH("LEFT")
	optColoringDesc:SetPoint("LEFT", optColoring, "RIGHT", 0, -22)
	optColoringDesc:SetText(coloringDesc)
	
	local optAddRealms = CreateFrame("CheckButton", "RealID_ToonsConfigButton2", options)
	optAddRealms:SetWidth(26)
	optAddRealms:SetHeight(26)
	optAddRealms:SetPoint("TOPLEFT", 16, -115)
	optAddRealms:SetScript("OnShow", function(frame)
		if RID_TOONS_REALM then
			frame:SetChecked(true)
		else
			frame:SetChecked(false)
		end
	end)
	optAddRealms:SetScript("OnClick", function(frame)
		local tick = frame:GetChecked()
		if tick then
			PlaySound("igMainMenuOptionCheckBoxOn")
			RID_TOONS_REALM = true
		else
			PlaySound("igMainMenuOptionCheckBoxOff")
			RID_TOONS_REALM = nil
		end
	end)

	optAddRealms:SetHitRectInsets(0, -100, 0, 0)

	optAddRealms:SetNormalTexture("Interface\\Buttons\\UI-CheckBox-Up")
	optAddRealms:SetPushedTexture("Interface\\Buttons\\UI-CheckBox-Down")
	optAddRealms:SetHighlightTexture("Interface\\Buttons\\UI-CheckBox-Highlight")
	optAddRealms:SetCheckedTexture("Interface\\Buttons\\UI-CheckBox-Check")

	local optAddRealmsTitle = optAddRealms:CreateFontString("RealID_ToonsConfigButton2Title", "ARTWORK", "GameFontHighlight")
	optAddRealmsTitle:SetPoint("LEFT", optAddRealms, "RIGHT", 0, 1)
	optAddRealmsTitle:SetText(realmTitle)
	
	local optAddRealmsDesc = optAddRealms:CreateFontString("RealID_ToonsConfigButton2Desc", "ARTWORK", "GameFontNormal")
	optAddRealmsDesc:SetWidth(350)
	optAddRealmsDesc:SetHeight(30)
	optAddRealmsDesc:SetJustifyH("LEFT")
	optAddRealmsDesc:SetPoint("LEFT", optAddRealms, "RIGHT", 0, -22)
	optAddRealmsDesc:SetText(realmDesc)
	
	local optAddFaction = CreateFrame("CheckButton", "RealID_ToonsConfigButton3", options)
	optAddFaction:SetWidth(26)
	optAddFaction:SetHeight(26)
	optAddFaction:SetPoint("TOPLEFT", 16, -178)
	optAddFaction:SetScript("OnShow", function(frame)
		if RID_TOONS_FACTION then
			frame:SetChecked(true)
		else
			frame:SetChecked(false)
		end
	end)
	optAddFaction:SetScript("OnClick", function(frame)
		local tick = frame:GetChecked()
		if tick then
			PlaySound("igMainMenuOptionCheckBoxOn")
			RID_TOONS_FACTION = true
		else
			PlaySound("igMainMenuOptionCheckBoxOff")
			RID_TOONS_FACTION = nil
		end
	end)

	optAddFaction:SetHitRectInsets(0, -100, 0, 0)

	optAddFaction:SetNormalTexture("Interface\\Buttons\\UI-CheckBox-Up")
	optAddFaction:SetPushedTexture("Interface\\Buttons\\UI-CheckBox-Down")
	optAddFaction:SetHighlightTexture("Interface\\Buttons\\UI-CheckBox-Highlight")
	optAddFaction:SetCheckedTexture("Interface\\Buttons\\UI-CheckBox-Check")

	local optAddFactionTitle = optAddFaction:CreateFontString("RealID_ToonsConfigButton3Title", "ARTWORK", "GameFontHighlight")
	optAddFactionTitle:SetPoint("LEFT", optAddFaction, "RIGHT", 0, 1)
	optAddFactionTitle:SetText(factionTitle)
	
	local optAddFactionDesc = optAddFaction:CreateFontString("RealID_ToonsConfigButton3Desc", "ARTWORK", "GameFontNormal")
	optAddFactionDesc:SetWidth(350)
	optAddFactionDesc:SetHeight(30)
	optAddFactionDesc:SetJustifyH("LEFT")
	optAddFactionDesc:SetPoint("LEFT", optAddFaction, "RIGHT", 0, -22)
	optAddFactionDesc:SetText(factionDesc)
end